aboutsummaryrefslogtreecommitdiffstats
path: root/pkgconfigdeps.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgconfigdeps.sh')
-rwxr-xr-xpkgconfigdeps.sh59
1 files changed, 0 insertions, 59 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
deleted file mode 100755
index da6e9aa..0000000
--- a/pkgconfigdeps.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/bash
-
-pkgconfig=/usr/bin/pkg-config
-test -x $pkgconfig || {
- cat > /dev/null
- exit 0
-}
-
-[ $# -ge 1 ] || {
- cat > /dev/null
- exit 0
-}
-
-$pkgconfig --atleast-pkgconfig-version="0.24" || {
- cat > /dev/null
- exit 0
-}
-
-case $1 in
--P|--provides)
- while read filename ; do
- case "${filename}" in
- *.pc)
- # Query the dependencies of the package.
- DIR="`dirname ${filename}`"
- export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
- $pkgconfig --print-errors --print-provides $filename | while read n r v ; do
- # We have a dependency. Make a note that we need the pkgconfig
- # tool for this package.
- test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
- echo -n "pkgconfig($n) "
- [ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"
- echo
- done
- test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
- # The dependency on the pkgconfig package itself.
- ;;
- esac
- done
- ;;
--R|--requires)
- while read filename ; do
- case "${filename}" in
- *.pc)
- DIR="`dirname ${filename}`"
- export PKG_CONFIG_PATH="$DIR:$DIR/../../share/pkgconfig"
- $pkgconfig --print-errors --print-requires --print-requires-private $filename | while read n r v ; do
- test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
- [ -n "$n" ] || continue
- echo -n "pkgconfig($n) "
- [ -n "$r" ] && [ -n "$v" ] && echo -n "$r" "$v"
- echo
- done
- test ${PIPESTATUS[0]} -ne 0 && echo "$pkgconfig returned an error" >&2 && exit 1
- esac
- done
- ;;
-esac
-exit 0